Opened 15 years ago

Closed 15 years ago

#4956 closed defect (worksforme)

BUG: devel/atk fail to upgrade from 1.9.1_0 to 1.10.0

Reported by: tim.wichmann@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.0
Keywords: Cc: mij@…, chris.ridd@…, markd@…
Port:

Description

Devel/atk fail to upgrade from 1.9.1_0 to 1.10.0 during build-phase:

Error: Target com.apple.build returned: shell command "cd "/opt/local/var/db/dports/build/ file._opt_local_var_db_dports_sources_rsync.rsync.opendarwin.org_dpupdate_dports_devel_atk/work/ atk-1.10.3" && make all" returned error 2 Command output: -c -o atkutil.lo test -f 'atkutil.c' || echo './'atkutil.c; \ then mv -f ".deps/atkutil.Tpo" ".deps/atkutil.Plo"; \ else rm -f ".deps/atkutil.Tpo"; exit 1; \ fi

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_DISABLE_DEPRECATED -D_REENTRANT -I/opt/local/include/

glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -no-cpp-precomp -O3 -funroll-loops -fstrict-aliasing -Wall -MT atkutil.lo -MD -MP -MF .deps/atkutil.Tpo -c atkutil.c -fno-common -DPIC -o .libs/atkutil.o if /bin/sh ../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_DISABLE_DEPRECATED -D_REENTRANT -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -no-cpp-precomp -O3 -funroll-loops -fstrict-aliasing -Wall -MT atkvalue.lo -MD -MP -MF ".deps/ atkvalue.Tpo" \

-c -o atkvalue.lo test -f 'atkvalue.c' || echo './'atkvalue.c; \

then mv -f ".deps/atkvalue.Tpo" ".deps/atkvalue.Plo"; \ else rm -f ".deps/atkvalue.Tpo"; exit 1; \ fi

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_DISABLE_DEPRECATED -D_REENTRANT -I/opt/local/include/

glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -no-cpp-precomp -O3 -funroll-loops -fstrict-aliasing -Wall -MT atkvalue.lo -MD -MP -MF .deps/atkvalue.Tpo -c atkvalue.c -fno-common -DPIC -o .libs/atkvalue.o if /bin/sh ../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_DISABLE_DEPRECATED -D_REENTRANT -I/opt/local/include/glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -no-cpp-precomp -O3 -funroll-loops -fstrict-aliasing -Wall -MT atk-enum-types.lo -MD -MP -MF ".deps/atk-enum-types.Tpo" \

-c -o atk-enum-types.lo test -f 'atk-enum-types.c' || echo './'atk-enum-types.c; \

then mv -f ".deps/atk-enum-types.Tpo" ".deps/atk-enum-types.Plo"; \ else rm -f ".deps/atk-enum-types.Tpo"; exit 1; \ fi

gcc -DHAVE_CONFIG_H -I. -I. -I.. -I.. -DG_DISABLE_DEPRECATED -D_REENTRANT -I/opt/local/include/

glib-2.0 -I/opt/local/lib/glib-2.0/include -I/opt/local/include -no-cpp-precomp -O3 -funroll-loops -fstrict-aliasing -Wall -MT atk-enum-types.lo -MD -MP -MF .deps/atk-enum-types.Tpo -c atk-enum- types.c -fno-common -DPIC -o .libs/atk-enum-types.o /bin/sh ../libtool --mode=link gcc -O3 -funroll-loops -fstrict-aliasing -Wall -L/opt/local/lib -no- undefined -o libatk-1.0.la -rpath /opt/local/lib -version-info 1010:3:1010 atkaction.lo atkcomponent.lo atkdocument.lo atkeditabletext.lo atkgobjectaccessible.lo atkhyperlink.lo atkhypertext.lo atkimage.lo atknoopobject.lo atknoopobjectfactory.lo atkobject.lo atkobjectfactory.lo atkregistry.lo atkrelation.lo atkrelationset.lo atkselection.lo atkstate.lo atkstateset.lo atkstreamablecontent.lo atktable.lo atktext.lo atkutil.lo atkvalue.lo atk-enum-types.lo -L/opt/local/lib -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lintl -liconv gcc -dynamiclib -o .libs/libatk-1.0.0.1010.3.dylib .libs/atkaction.o .libs/atkcomponent.o .libs/ atkdocument.o .libs/atkeditabletext.o .libs/atkgobjectaccessible.o .libs/atkhyperlink.o .libs/ atkhypertext.o .libs/atkimage.o .libs/atknoopobject.o .libs/atknoopobjectfactory.o .libs/atkobject.o .libs/atkobjectfactory.o .libs/atkregistry.o .libs/atkrelation.o .libs/atkrelationset.o .libs/atkselection.o .libs/atkstate.o .libs/atkstateset.o .libs/atkstreamablecontent.o .libs/atktable.o .libs/atktext.o .libs/ atkutil.o .libs/atkvalue.o .libs/atk-enum-types.o -L/opt/local/lib /opt/local/lib/libgobject-2.0.dylib / opt/local/lib/libgmodule-2.0.dylib /opt/local/lib/libglib-2.0.dylib /opt/local/lib/libintl.dylib /opt/ local/lib/libiconv.dylib -install_name /opt/local/lib/libatk-1.0.0.dylib -Wl,-compatibility_version -Wl,1011 -Wl,-current_version -Wl,1011.3 ld: warning prebinding disabled because dependent library: /opt/local/lib/libgobject-2.0.0.dylib is not prebound ld: warning multiple definitions of symbol _locale_charset /opt/local/lib/libintl.dylib(localcharset.o) definition of _locale_charset /opt/local/lib/libiconv.dylib(localcharset.o) definition of _locale_charset ld: Undefined symbols: _environ /usr/bin/libtool: internal link edit command failed make[3]: * [libatk-1.0.la] Error 1 make[2]: * [all] Error 2 make[1]: * [all-recursive] Error 1 make: * [all] Error 2

Change History (5)

comment:1 Changed 15 years ago by tim.wichmann@…

I've got a similar problem with 1.10.3, error-output is the "same".

comment:2 Changed 15 years ago by cjr@…

Cc: chris.ridd@… added

comment:3 Changed 15 years ago by mww@…

Summary: devel/atk fail to upgrade from 1.9.1_0 to 1.10.0BUG: devel/atk fail to upgrade from 1.9.1_0 to 1.10.0

comment:4 Changed 15 years ago by markd@…

(In reply to comment #1)

I've got a similar problem with 1.10.3, error-output is the "same".

Uninstall, selfupdate, and reinstall works correct?

comment:5 Changed 15 years ago by markd@…

Cc: markd@… added
Resolution: worksforme
Status: newclosed

I just verified that upgrade worked for atk 1.10.3_0 -> 1.11.4_0. Closing bug.

Note: See TracTickets for help on using tickets.